openapi: 3.0.1
info:
  title: Payouts
  version: '4'
  description: >-

    __Authentication__ 


    Set your headers:

      ```
        Authorization: {your_credentials}
        Content-Type: application/vnd.worldpay.payouts-v4+json
        Accept: application/vnd.worldpay.payouts-v4+json
      ```
    Replace `{your_credentials}` with your base64-encoded Basic Auth username
    and password.


    <br>


    __DNS Whitelisting__


    Whitelist the following URLs:

    * `https://try.access.worldpay.com/`

    * `https://access.worldpay.com/`


    Please ensure you use DNS whitelisting, not explicit IP whitelisting. When
    you make a request within Access Worldpay, you should always cache the
    response returned.
servers:
  - url: https://try.access.worldpay.com
    description: testing (try)
  - url: https://access.worldpay.com
    description: live
paths:
  /payouts/{resource}:
    get:
      summary: Retrieve payout details
      description: >+
        Retrieve the details of an existing Basic Disbursement or Fast Access
        Payout.

      operationId: getPayoutsDetails
      parameters:
        - name: resource
          in: path
          description: original resource
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Payout resource.
          content:
            application/vnd.worldpay.payouts-v4+json:
              schema:
                $ref: '#/components/schemas/payouts_payouts_200_response'
              examples:
                'Basic Disbursement: Successful resource retrieval with outcome requestReceived':
                  description: >-
                    Basic Disbursement: Successful resource retrieval with
                    outcome requestReceived
                  value:
                    outcome: requestReceived
                    receivedAt: '2023-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                'Basic Disbursement: Successful resource retrieval with outcome refused':
                  description: >-
                    Basic Disbursement: Successful resource retrieval with
                    outcome refused
                  value:
                    outcome: refused
                    receivedAt: '2023-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                'Basic Disbursement: Successful resource retrieval with outcome error':
                  description: >-
                    Basic Disbursement: Successful resource retrieval with
                    outcome error
                  value:
                    outcome: error
                    receivedAt: '2023-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                'Fast Access Payout: Successful resource retrieval with outcome requested':
                  description: >-
                    Fast Access Payout: Successful resource retrieval with
                    outcome requested
                  value:
                    outcome: requested
                    receivedAt: '2023-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      payouts:update:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                'Fast Access Payout: Successful resource retrieval with outcome pending':
                  description: >-
                    Fast Access Payout: Successful resource retrieval with
                    outcome pending
                  value:
                    outcome: pending
                    receivedAt: '2023-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      payouts:update:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                'Fast Access Payout: Successful resource retrieval with outcome approved':
                  description: >-
                    Fast Access Payout: Successful resource retrieval with
                    outcome approved
                  value:
                    outcome: approved
                    receivedAt: '2023-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      payouts:update:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                'Fast Access Payout: Successful resource retrieval with outcome disbursed':
                  description: >-
                    Fast Access Payout: Successful resource retrieval with
                    outcome disbursed
                  value:
                    outcome: disbursed
                    receivedAt: '2023-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                'Fast Access Payout: Successful resource retrieval with outcome refused':
                  description: >-
                    Fast Access Payout: Successful resource retrieval with
                    outcome refused
                  value:
                    outcome: refused
                    receivedAt: '2023-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                'Fast Access Payout: Successful resource retrieval with outcome error':
                  description: >-
                    Fast Access Payout: Successful resource retrieval with
                    outcome error
                  value:
                    outcome: error
                    receivedAt: '2023-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
  /payouts/query:
    get:
      summary: Retrieve the payout details of a historic resource.
      description: |+
        Query by transaction reference and entity to retrieve a Payout.

      operationId: queryPayouts
      parameters:
        - name: transactionReference
          in: query
          description: >-
            A unique reference generated by you, used to identify a payout
            throughout its lifecycle
          required: true
          schema:
            type: string
            example: '12345'
        - name: entity
          in: query
          description: merchant entity
          required: true
          schema:
            type: string
            example: default
      responses:
        '200':
          description: >-
            Returns a payout resource, provided one matches the transaction and
            entity references.
          content:
            application/vnd.worldpay.payouts-v4+json:
              schema:
                $ref: '#/components/schemas/payouts_query_200_response'
              examples:
                'Basic Disbursement: An existing resource is retrieved with outcome ''requestReceived''':
                  description: >-
                    Basic Disbursement: An existing resource is retrieved with
                    outcome 'requestReceived'
                  value:
                    outcome: requestReceived
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                'Basic Disbursement: An existing resource is retrieved with outcome ''refused''':
                  description: >-
                    Basic Disbursement: An existing resource is retrieved with
                    outcome 'refused'
                  value:
                    outcome: refused
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                'Basic Disbursement: An existing resource is retrieved with outcome ''error''':
                  description: >-
                    Basic Disbursement: An existing resource is retrieved with
                    outcome 'error'
                  value:
                    outcome: error
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                'Fast Access: An existing resource is retrieved with outcome ''requested''':
                  description: >-
                    Fast Access: An existing resource is retrieved with outcome
                    'requested'
                  value:
                    outcome: requested
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                'Fast Access: An existing resource is retrieved with outcome ''pending''':
                  description: >-
                    Fast Access: An existing resource is retrieved with outcome
                    'pending'
                  value:
                    outcome: pending
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                'Fast Access: An existing resource is retrieved with outcome ''approved''':
                  description: >-
                    Fast Access: An existing resource is retrieved with outcome
                    'approved'
                  value:
                    outcome: approved
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                'Fast Access: An existing resource is retrieved with outcome ''disbursed''':
                  description: >-
                    Fast Access: An existing resource is retrieved with outcome
                    'disbursed'
                  value:
                    outcome: disbursed
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                'Fast Access: An existing resource is retrieved with outcome ''refused''':
                  description: >-
                    Fast Access: An existing resource is retrieved with outcome
                    'refused'
                  value:
                    outcome: refused
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                'Fast Access: An existing resource is retrieved with outcome ''error''':
                  description: >-
                    Fast Access: An existing resource is retrieved with outcome
                    'error'
                  value:
                    outcome: error
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
  /payouts/basicDisbursement:
    post:
      summary: Disburses funds to the payout instrument specified.
      description: |+
        Disburse funds to a payout instrument.

      operationId: basicDisbursement
      requestBody:
        content:
          application/vnd.worldpay.payouts-v4+json:
            schema:
              $ref: '#/components/schemas/payouts_basicDisbursement'
            examples:
              Successful Basic Disbursement:
                description: Successful Basic Disbursement
                value:
                  merchant:
                    entity: default
                  instruction:
                    value:
                      amount: 300
                      currency: GBP
                    payoutInstrument:
                      type: card/plain
                      cardHolderName: Sherlock Holmes
                      cardExpiryDate:
                        month: 1
                        year: 2025
                      cardNumber: '4444333322221111'
                      billingAddress:
                        address1: address1
                        address2: address2
                        address3: address3
                        postalCode: postalCode
                        city: city
                        state: state
                        countryCode: GB
                    narrative:
                      line1: STATEMENT
                      line2: OPTIONAL
                  transactionReference: transaction-ref
              Unsuccessful Payout request:
                description: Unsuccessful Payout request
                value:
                  merchant:
                    entity: default
                  instruction:
                    value:
                      amount: 300
                      currency: GBP
                    payoutInstrument:
                      type: card/plain
                      cardHolderName: Sherlock Holmes
                      cardExpiryDate:
                        month: 1
                        year: 2025
                      cardNumber: '4444333322221111'
                      billingAddress:
                        address1: address1
                        address2: address2
                        address3: address3
                        postalCode: postalCode
                        city: city
                        state: state
                        countryCode: GB
                    narrative:
                      line1: STATEMENT
                      line2: OPTIONAL
                  transactionReference: transaction-ref
              Successful Basic Disbursement to a token:
                description: Successful Basic Disbursement to a token
                value:
                  merchant:
                    entity: default
                  instruction:
                    value:
                      amount: 300
                      currency: GBP
                    payoutInstrument:
                      type: card/tokenized
                      href: https://tokens/token
                    narrative:
                      line1: STATEMENT
                      line2: OPTIONAL
                  transactionReference: transaction-ref
              Successful Basic Disbursement to a networkToken:
                description: Successful Basic Disbursement to a networkToken
                value:
                  merchant:
                    entity: default
                  instruction:
                    value:
                      amount: 300
                      currency: GBP
                    payoutInstrument:
                      type: card/networkToken
                      cardHolderName: Sherlock Holmes
                      expiryDate:
                        month: 12
                        year: 2029
                      tokenNumber: '5555555555554444'
                      billingAddress:
                        address1: address1
                        address2: address2
                        address3: address3
                        postalCode: AB1 2CD
                        city: city
                        state: state
                        countryCode: GB
                    narrative:
                      line1: STATEMENT
                      line2: OPTIONAL
                  transactionReference: transaction-ref
              Successful Basic Disbursement to a decrypted applepay:
                description: Successful Basic Disbursement to a decrypted applepay
                value:
                  merchant:
                    entity: default
                  instruction:
                    value:
                      amount: 300
                      currency: GBP
                    payoutInstrument:
                      type: card/networkToken+applepay
                      cardHolderName: Sherlock Holmes
                      cardExpiryDate:
                        month: 1
                        year: 2025
                      dpan: '4444333322221111'
                      billingAddress:
                        address1: address1
                        address2: address2
                        address3: address3
                        postalCode: postalCode
                        city: city
                        state: state
                        countryCode: GB
                    narrative:
                      line1: STATEMENT
                      line2: OPTIONAL
                  transactionReference: transaction-ref
      responses:
        '201':
          description: Funds have been disbursed or queued for disbursal successfully.
          content:
            application/vnd.worldpay.payouts-v4+json:
              schema:
                $ref: '#/components/schemas/payouts_basicDisbursement_201_response'
              examples:
                Successful Basic Disbursement:
                  description: Successful Basic Disbursement
                  value:
                    outcome: requestReceived
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                Unsuccessful Payout request:
                  description: Unsuccessful Payout request
                  value:
                    outcome: refused
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                Successful Basic Disbursement to a token:
                  description: Successful Basic Disbursement to a token
                  value:
                    outcome: requestReceived
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                Successful Basic Disbursement to a networkToken:
                  description: Successful Basic Disbursement to a networkToken
                  value:
                    outcome: requestReceived
                    receivedAt: '2024-08-28T13:49:36.956145Z'
                    _links:
                      payouts:payout:
                        href: >-
                          https://npe.access.worldpay.com/payouts/MjpkSzMxRnRQT0tqaUplUk1rSG5sWXFRPT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6b0d5RWhlMVNKVUJadWdzeEtBUW9xR1ozTWVZNGcwbUFPMDFpL1F4V1c5cGxOQ0hiVXNnWHZRb0pBZUhhUFg4QjY0dndoNHVpM1NGSjZTcWEvMDhQTVE9PQ==
                      curies:
                        - name: payouts
                          href: https://npe.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                    curies:
                      - name: payouts
                        href: https://npe.access.worldpay.com/rels/payouts/{rel}
                        templated: true
                Successful Basic Disbursement to a decrypted applepay:
                  description: Successful Basic Disbursement to a decrypted applepay
                  value:
                    outcome: requestReceived
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
  /payouts/fastAccess:
    post:
      summary: Disburses funds to the payout instrument specified.
      description: |+
        Disburse funds to a payout instrument using fastAccess.

      operationId: fastAccess
      requestBody:
        content:
          application/vnd.worldpay.payouts-v4+json:
            schema:
              $ref: '#/components/schemas/payouts_fastAccess'
            examples:
              Successful issuing of a disbursal request:
                description: Successful issuing of a disbursal request
                value:
                  merchant:
                    entity: default
                  instruction:
                    value:
                      amount: 300
                      currency: GBP
                    payoutInstrument:
                      type: card/plain
                      cardHolderName: Sherlock Holmes
                      cardExpiryDate:
                        month: 1
                        year: 2025
                      cardNumber: '4444333322221111'
                      billingAddress:
                        address1: address1
                        address2: address2
                        address3: address3
                        postalCode: postalCode
                        city: city
                        state: state
                        countryCode: GB
                    narrative:
                      line1: STATEMENT
                      line2: OPTIONAL
                  transactionReference: transaction-ref
              Successful disbursal of funds:
                description: Successful disbursal of funds
                value:
                  merchant:
                    entity: default
                  instruction:
                    value:
                      amount: 300
                      currency: GBP
                    payoutInstrument:
                      type: card/plain
                      cardHolderName: Sherlock Holmes
                      cardExpiryDate:
                        month: 1
                        year: 2025
                      cardNumber: '4444333322221111'
                      billingAddress:
                        address1: address1
                        address2: address2
                        address3: address3
                        postalCode: postalCode
                        city: city
                        state: state
                        countryCode: GB
                    narrative:
                      line1: STATEMENT
                      line2: OPTIONAL
                  transactionReference: transaction-ref
              Successful disbursal of funds to a token:
                description: Successful disbursal of funds to a token
                value:
                  merchant:
                    entity: default
                  instruction:
                    value:
                      amount: 300
                      currency: GBP
                    payoutInstrument:
                      type: card/tokenized
                      href: https://tokens/token
                    narrative:
                      line1: STATEMENT
                      line2: OPTIONAL
                  transactionReference: transaction-ref
              Successful disbursal of funds to a networkToken:
                description: Successful disbursal of funds to a networkToken
                value:
                  merchant:
                    entity: default
                  instruction:
                    value:
                      amount: 300
                      currency: GBP
                    payoutInstrument:
                      type: card/networkToken
                      cardHolderName: Sherlock Holmes
                      expiryDate:
                        month: 12
                        year: 2029
                      tokenNumber: '5555555555554444'
                      billingAddress:
                        address1: address1
                        address2: address2
                        address3: address3
                        postalCode: AB1 2CD
                        city: city
                        state: state
                        countryCode: GB
                    narrative:
                      line1: STATEMENT
                      line2: OPTIONAL
                  transactionReference: transaction-ref
              Successful disbursal of funds to a decrypted applepay:
                description: Successful disbursal of funds to a decrypted applepay
                value:
                  merchant:
                    entity: default
                  instruction:
                    value:
                      amount: 300
                      currency: GBP
                    payoutInstrument:
                      type: card/networkToken+applepay
                      cardHolderName: Sherlock Holmes
                      cardExpiryDate:
                        month: 1
                        year: 2025
                      dpan: '4444333322221111'
                      billingAddress:
                        address1: address1
                        address2: address2
                        address3: address3
                        postalCode: postalCode
                        city: city
                        state: state
                        countryCode: GB
                    narrative:
                      line1: STATEMENT
                      line2: OPTIONAL
                  transactionReference: transaction-ref
              Successful Mastercard disbursement:
                description: Successful Mastercard disbursement
                value:
                  merchant:
                    entity: default
                  instruction:
                    value:
                      amount: 300
                      currency: GBP
                    payoutInstrument:
                      type: card/plain
                      cardHolderName: Sherlock Holmes
                      cardExpiryDate:
                        month: 12
                        year: 2029
                      cardNumber: '5218045777404809'
                      billingAddress:
                        address1: address1
                        address2: address2
                        address3: address3
                        postalCode: postalCode
                        city: city
                        state: state
                        countryCode: GB
                    narrative:
                      line1: STATEMENT
                      line2: OPTIONAL
                  transactionReference: transaction-ref
      responses:
        '201':
          description: Funds have been disbursed or queued for disbursal successfully.
          content:
            application/vnd.worldpay.payouts-v4+json:
              schema:
                $ref: '#/components/schemas/payouts_fastAccess_201_response'
              examples:
                Successful issuing of a disbursal request:
                  description: Successful issuing of a disbursal request
                  value:
                    outcome: pending
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                Successful disbursal of funds:
                  description: Successful disbursal of funds
                  value:
                    outcome: approved
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                Successful disbursal of funds to a token:
                  description: Successful disbursal of funds to a token
                  value:
                    outcome: approved
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                Successful disbursal of funds to a networkToken:
                  description: Successful disbursal of funds to a networkToken
                  value:
                    outcome: approved
                    receivedAt: '2024-08-28T13:35:04.823402Z'
                    _links:
                      payouts:payout:
                        href: >-
                          https://try.access.worldpay.com/payouts/Mjovc1NvemlnSFhVdUVIc0xjSitSWmhnPT06QUVTL0NCQy9QS0NTNVBhZGRpbmc6YzNiamVrSDMxNThTcDJ5WnJteWRoRjlTSzhXV2RxdUNCaG1TcG9SS21SY1l5WVczZEVWNWlnZTBMWUdHTWtEWEtqTkJVRXBYMGxRYjNVYU1veGdvbGlhcnRPYy8zNnNFWGNDeGErWHhmZ289
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                Successful disbursal of funds to a decrypted applepay:
                  description: Successful disbursal of funds to a decrypted applepay
                  value:
                    outcome: approved
                    receivedAt: '2018-09-01T10:37:36.923Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
                Successful Mastercard disbursement:
                  description: Successful Mastercard disbursement
                  value:
                    outcome: approved
                    receivedAt: '2023-08-01T12:10:25.634Z'
                    _links:
                      payouts:payout:
                        href: https://try.access.worldpay.com/payouts/{resource}
                      curies:
                        - name: payouts
                          href: https://try.access.worldpay.com/rels/payouts/{rel}
                          templated: true
components:
  schemas:
    payouts_payouts_200_response:
      required:
        - _links
        - outcome
        - receivedAt
      type: object
      properties:
        outcome:
          type: string
          description: outcome of payouts request
        receivedAt:
          type: string
          description: A timestamp of receivedAt
    payouts_query_200_response:
      required:
        - _links
        - outcome
        - receivedAt
      type: object
      properties:
        outcome:
          type: string
          description: outcome of payouts query request
        receivedAt:
          type: string
          description: A timestamp of receivedAt
    card_plain:
      required:
        - cardExpiryDate
        - cardNumber
        - type
      type: object
      description: Plain card details.
      properties:
        cardExpiryDate:
          required:
            - month
            - year
          type: object
          description: >-
            An object that contains your customer's payout card expiry date.
            Must be a date in the future.
          properties:
            month:
              type: integer
            year:
              type: integer
        cardNumber:
          type: string
          description: An object that contains your customer's payout card number.
        type:
          type: string
        billingAddress:
          required:
            - countryCode
            - postalCode
          type: object
          description: An object containing the billing address information.
          properties:
            countryCode:
              type: string
            postalCode:
              type: string
            address1:
              type: string
            address2:
              type: string
            address3:
              type: string
            city:
              type: string
            state:
              type: string
        cardHolderName:
          type: string
          description: An object that contains your customer's payout card name.
    card_tokenized:
      required:
        - href
        - type
      type: object
      description: Tokenized card details.
      properties:
        href:
          type: string
          description: An object that contains your link to an Access Token.
        type:
          type: string
    card_networkToken:
      required:
        - tokenNumber
        - expiryDate
        - type
      type: object
      description: Network Payment Token details.
      properties:
        tokenNumber:
          type: string
          description: An object that contains your network payment token number.
        expiryDate:
          required:
            - month
            - year
          type: object
          description: >-
            An object that contains your customer's token expiry date. Must be a
            date in the future.
          properties:
            month:
              type: integer
            year:
              type: integer
        type:
          type: string
          description: An object that contains your customer's payout type.
    applepay_decrypted:
      required:
        - cardExpiryDate
        - dpan
        - type
      type: object
      description: Wallet details.
      properties:
        cardExpiryDate:
          required:
            - month
            - year
          type: object
          description: >-
            An object that contains your customer's payout card expiry date.
            Must be a date in the future.
          properties:
            month:
              type: integer
            year:
              type: integer
        dpan:
          type: string
          description: An object that contains the device primary account number.
        type:
          type: string
          description: An object that contains your customer's payout type.
        billingAddress:
          required:
            - countryCode
            - postalCode
          type: object
          description: An object containing the billing address information.
          properties:
            countryCode:
              type: string
            postalCode:
              type: string
            address1:
              type: string
            address2:
              type: string
            address3:
              type: string
            city:
              type: string
            state:
              type: string
        cardHolderName:
          type: string
          description: An object that contains your customer's payout card name.
    payouts_basicDisbursement:
      required:
        - instruction
        - merchant
        - transactionReference
      type: object
      description: Basic disbursement input.
      properties:
        instruction:
          required:
            - narrative
            - payoutInstrument
            - value
          type: object
          description: >-
            An object that contains all the information related to your payout
            request.
          properties:
            narrative:
              required:
                - line1
              type: object
              description: >-
                An object that contains identification and further details of
                the merchant.
              properties:
                line1:
                  type: string
                  description: >-
                    First line of text that appears on your customer's
                    statement.
                line2:
                  type: string
                  description: >-
                    Second line of text that appears on your customer's
                    statement.
            payoutInstrument:
              description: An object that contains your customer's payout type.
              oneOf:
                - $ref: '#/components/schemas/card_plain'
                - $ref: '#/components/schemas/card_tokenized'
                - $ref: '#/components/schemas/card_networkToken'
                - $ref: '#/components/schemas/applepay_decrypted'
              discriminator:
                mapping:
                  card/plain: '#/components/schemas/card_plain'
                  card/tokenized: '#/components/schemas/card_tokenized'
                  card/networkToken: '#/components/schemas/card_networkToken'
                  card/networkToken+applepay: '#/components/schemas/applepay_decrypted'
                propertyName: type
            value:
              required:
                - amount
                - currency
              type: object
              description: An object that contains payout amount and currency.
              properties:
                amount:
                  type: integer
                  description: The payout amount.
                currency:
                  type: string
                  description: The 3 digit currency code.
        merchant:
          required:
            - entity
          type: object
          description: An object that contains information about the merchant.
          properties:
            entity:
              type: string
              description: >-
                This is mandatory for authentication and queries. Contact your
                Implementation Manager for more information.
        transactionReference:
          type: string
          description: >-
            A unique reference generated by you, used to identify a payout
            throughout its lifecycle.
    payouts_basicDisbursement_201_response:
      required:
        - _links
        - outcome
        - receivedAt
      type: object
      properties:
        outcome:
          type: string
          description: outcome of payouts request
        receivedAt:
          type: string
          description: A timestamp of receivedAt
    payouts_fastAccess:
      required:
        - instruction
        - merchant
        - transactionReference
      type: object
      description: Fast access input.
      properties:
        instruction:
          required:
            - narrative
            - payoutInstrument
            - value
          type: object
          description: >-
            An object that contains all the information related to your payout
            request.
          properties:
            narrative:
              required:
                - line1
              type: object
              description: >-
                An object that contains identification and further details of
                the merchant.
              properties:
                line1:
                  type: string
                  description: >-
                    First line of text that appears on your customer's
                    statement.
                line2:
                  type: string
                  description: >-
                    Second line of text that appears on your customer's
                    statement.
            payoutInstrument:
              description: An object that contains your customer's payout type.
              oneOf:
                - $ref: '#/components/schemas/card_plain'
                - $ref: '#/components/schemas/card_tokenized'
                - $ref: '#/components/schemas/card_networkToken'
                - $ref: '#/components/schemas/applepay_decrypted'
              discriminator:
                mapping:
                  card/plain: '#/components/schemas/card_plain'
                  card/tokenized: '#/components/schemas/card_tokenized'
                  card/networkToken: '#/components/schemas/card_networkToken'
                  card/networkToken+applepay: '#/components/schemas/applepay_decrypted'
                propertyName: type
            value:
              required:
                - amount
                - currency
              type: object
              description: An object that contains payout amount and currency.
              properties:
                amount:
                  type: integer
                  description: The payout amount.
                currency:
                  type: string
                  description: The 3 digit currency code.
        merchant:
          required:
            - entity
          type: object
          description: An object that contains information about the merchant.
          properties:
            entity:
              type: string
              description: >-
                This is mandatory for authentication and queries. Contact your
                Implementation Manager for more information.
        transactionReference:
          type: string
          description: >-
            A unique reference generated by you, used to identify a payout
            throughout its lifecycle.
    payouts_fastAccess_201_response:
      required:
        - _links
        - outcome
        - receivedAt
      type: object
      properties:
        outcome:
          type: string
          description: outcome of payouts request
        receivedAt:
          type: string
          description: A timestamp of receivedAt
  securitySchemes:
    BasicAuth:
      type: http
      scheme: basic
security:
  - BasicAuth: []
